<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>
      <record id="services_settings_inherit_view_form" model="ir.ui.view">
            <field name="name">services.settings.form</field>
            <field name="model">services.settings</field>
            <field name="inherit_id" ref="odex_benefit.services_settings_form"/>
             <field name="arch" type="xml">
                <xpath expr="//field[@name='is_service_producer']" position="after">
                    <field name="project_create" attrs="{'invisible':[('service_type','=','main_service')]}" widget="boolean_toggle"/>
                    <field name="category_id" attrs="{'invisible': ['|',('service_type','=','main_service'),('project_create', '=', False)]}"/>
                </xpath>
             </field>
      </record>
    </data>
</odoo>
